#! /bin/sh
### ###########################################################################
###  Copyright (c) 2007-2009 ThinkUI Software Inc. All rights reserved.
###
###  Licensed under the ThinkUI License, Version 1.0 (the "License");
###  you may not use this file except in compliance with the License.
###  You may obtain a copy of the License at
###
###      http://www.thinkui.com/license.html
###
###  Unless required by applicable law or agreed to in writing, software
###  distributed under the License is distributed on an "AS IS" BASIS,
###  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
###  See the License for the specific language governing permissions and
###  limitations under the License.
###
###  For the latest version of this software, please visit www.thinkui.com
### ###########################################################################

### ---------------------------------------------------------------------------
### Specify Java software and directives.
### 1. Use JAVA_HOME environment variable if set.
### 2. Otherwise, assume that java is available on the path.
### 3. Configure Java VM to allow up to 128MB of memory to be used.
### ---------------------------------------------------------------------------
[ ${JAVA_HOME} ] && THINKUI_JAVA=${JAVA_HOME}/bin/java || THINKUI_JAVA=java

_THINKUI_OPTS=-mx128m
_THINKUI_ARGS=
_THINKUI_HOME=$THINKUI_HOME

[ ${THINKUI_HOME} ] || THINKUI_HOME='../'

### -- turn off the JIT if "JAVA_COMPILER=NONE"
### JAVA_COMPILER=NONE

### ---------------------------------------------------------------------------
### Configure the class path and main class.
### ---------------------------------------------------------------------------
_SQLCLIENT_JAR=thinkui_sqlclient.jar
_CLOUDSCAPE_DERBY_JAR=lib/apache-derby.jar
_POSTGRESQL_JAR=lib/postgresql-jdbc3.jar
_MYSQL_JAR=lib/mysql-connector-java-bin.jar
_ORACLE_JAR=lib/oracle-jdbc-1.4.jar
_DB2_JAR=lib/db2jcc.jar:lib/db2jcc_license_cu.jar
_SQL_SERVER_JAR=lib/sqljdbc.jar
_HSQLDB_JAR=lib/hsqldb.jar
_H2_JAR=lib/h2.jar
_VELOCITY_JAR=lib/velocity-dep.jar
_POI_JAR=lib/apache-poi.jar
_MICROBA_JAR=lib/microba-0.4.4.jar
_CUSTOM_JAR=lib/custom.jar
_CLASSPATH=$_SQLCLIENT_JAR:$_CLOUDSCAPE_DERBY_JAR:$_POSTGRESQL_JAR:$_MYSQL_JAR:$_ORACLE_JAR:$_DB2_JAR:$_SQL_SERVER_JAR:$_HSQLDB_JAR:$_H2_JAR:$_VELOCITY_JAR:$_POI_JAR:$_MICROBA_JAR:$_CUSTOM_JAR
_CLASSPATH=$_CLASSPATH:$CLASSPATH
_MAIN_CLASS=thinkui.sqlclient.Main

### ---------------------------------------------------------------------------
### Invoke Java to execute the main class.
### ---------------------------------------------------------------------------
cd "`dirname "$0"`"
"$THINKUI_JAVA" $_THINKUI_OPTS -cp "$_CLASSPATH" "-Dthinkui.home=$THINKUI_HOME" $_MAIN_CLASS $1 $2 $3 $4 $5 $6 $7 $8 $9 $_THINKUI_ARGS

### ---------------------------------------------------------------------------
### Post script clean up.
### ---------------------------------------------------------------------------
